Subject: Re: bug#52493: 29.0.50; Setting Inconsolata up in init.el makes default face rendered wrong

From: Dmitry Gutov <[email-masked]>
Date: Tue, 27 Dec 2022 03:58:56 +0200

On 26/12/2022 00:42, Gregory Heytings wrote:
>>
>> Almost good, with one problem jumping out, however:
>>
>> - Evaluate (set-face-attribute 'default nil :height 105 :weight 
>> 'regular :font "Inconsolata LGC"), result:
>>
>>           Family: Inconsolata LGC
>>          Foundry: PfEd
>>            Width: normal
>>           Height: 105
>>           Weight: regular
>>
>> - Then I evaluate (set-face-attribute 'default nil :height 110 :weight 
>> 'semi-light :font "Cascadia Mono"), the result is:
>>
>>           Family: Inconsolata LGC
>>          Foundry: PfEd
>>            Width: normal
>>           Height: 105
>>           Weight: regular
>>
> 
> You mean
> 
>             Family: Cascadia Mono
>            Foundry: SAJA
>              Width: normal
>             Height: 105
>             Weight: regular
> 
> right?  That is, the :weight 'semi-light attribute is not obeyed?  I 
> observe the same behavior with Emacs 26-27-28, so at least it's not a 
> regression.

It's not there if I use :family, though. So if from now on we recommend 
people use :font where whey might have used :family in the past, this 
might be perceived as a regression.

>> Starting the session with (set-face-attribute 'default nil :height 110 
>> :weight 'semi-light :font "Cascadia Mono") also has this problem.
>>
> 
> Likewise: move the :font attribute to the front and it will work.

Thanks, that works fine.